Skip to main content
Important Notes
  • Deleted specific fields cannot be restored.
  • Use this API with caution. Be careful not to accidentally delete important data.
  • When Partial Delete is applied to a component that is a target for duplicate checking, duplicate checks will not be applied to that submission.
    • Even if data identical to the state before Partial Delete was applied comes in, duplicate checks will not be applied.

1. Endpoint

PARTIAL-DELETE/Submission

2. Authentication

Include the API key in the x-api-key header:
x-api-key

3. Request Parameter

string
required
Unique ID of the submission to be deleted
string
required
Use the fields parameter to selectively delete specific types of data. You can input one of the following options:
  • id_image
  • selfie_image
  • data: Final confirmed dataset as a result of the process
  • OCR_raw(*case-sensitive): RAW dataset extracted by OCR
  • ocr: Dataset converted from extracted OCR to standardized format
  • review: Result dataset reviewed by user using OCR results (automatically processed with the same value when OCR recognition score is high)
  • applicant_id
  • email
  • userid
  • additional_list
  • duplicated_information
  • custom_duplicated_information
  • injection_action
string
Use the data_fields parameter to selectively delete specific types of personal information within the data field. data_fields only works when the data field is declared in the fields parameter, and in this case, if no value is provided in the data_fields parameter, all sub-data under data will be deleted. Data refers to the final confirmed dataset as a result of the process. You can input one of the following options:
  • age_group
  • first_name
  • last_name
  • full_name — refers to the same field as name
  • full_name_en
  • name — refers to the same field as full_name
  • gender
  • nationality
  • date_of_birth
  • address_city
  • address_country
  • address_state
  • address_street
  • address_street2
  • address_zipcode
  • address_globalCode
  • address_compoundCode
  • address_formatted
  • address_input
  • address_detail
  • ip_address
  • idcard_issuingCountry
  • idcard_issueDate
  • idcard_expireDate
  • idType
  • documentNumber
  • identityNumber
  • ssnNumber
  • phoneNumber
  • cf1
  • cf2
  • cf3
name and full_name refer to the same field. Either key applies to the same data.
string
Email of the administrator who performed the deletion

3-1. Data to be Deleted

  • parameters declared from fields and data_fields

3-2. Data to be Retained

  • In submitted cases, parameters not declared in fields, and when specific parameters are specified in data_fields, unspecified parameters will not be deleted and will be retained.

4. Request Example

Using fields only

PARTIAL-DELETE/Submission

Using fields and data_fields

PARTIAL-DELETE/Submission

Using multiple fields and data_fields

PARTIAL-DELETE/Submission

5. Response

5-1. Success Response

5-2. Error Response

If an error occurs, a 400 status code is returned along with details in the response body:
error.json

5-3. Error Codes